# Generated by Django 3.0.8 on 2020-09-05 07:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('general_report', '0006_auto_20200904_1955'),
        ('patient_registration', '0009_auto_20200904_0453'),
    ]

    operations = [
        migrations.CreateModel(
            name='ImageUpload',
            fields=[
                ('patient_id', models.IntegerField(null=True)),
                ('acc_no', models.CharField(max_length=255, null=True, primary_key=True, serialize=False)),
                ('specimen_image', models.ImageField(upload_to='images/%Y/%m/%d')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('date_updated', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'report_images',
            },
        ),
        migrations.CreateModel(
            name='NonSynoptic',
            fields=[
                ('acc_no', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='general_report.StartDiagnosis')),
                ('non_synoptic_diagnosis', models.TextField(null=True, verbose_name='Diagnosis')),
                ('patient_id', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='patient_registration.PatientRegistration')),
            ],
            options={
                'db_table': 'non_synoptic_reports',
            },
        ),
        migrations.CreateModel(
            name='BreastDCISBiopsy',
            fields=[
                ('acc_no', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='general_report.StartDiagnosis')),
                ('procedure_note', models.CharField(blank=True, max_length=255)),
                ('procedure_other', models.CharField(blank=True, max_length=255)),
                ('specimen_laterality_note', models.CharField(blank=True, max_length=255)),
                ('specimen_laterality_other', models.CharField(blank=True, max_length=255)),
                ('tumor_site_note', models.CharField(blank=True, max_length=255)),
                ('tumor_site_other', models.CharField(blank=True, max_length=255)),
                ('histologic_type_note', models.CharField(blank=True, max_length=255)),
                ('histologic_type_other', models.CharField(blank=True, max_length=255)),
                ('nuclear_grade_note', models.CharField(blank=True, max_length=255)),
                ('nuclear_grade_other', models.CharField(blank=True, max_length=255)),
                ('necrosis_note', models.CharField(blank=True, max_length=255)),
                ('necrosis_other', models.CharField(blank=True, max_length=255)),
                ('microcalcifications_note', models.CharField(blank=True, max_length=255)),
                ('microcalcifications_other', models.CharField(blank=True, max_length=255)),
                ('patient_id', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='patient_registration.PatientRegistration')),
            ],
            options={
                'db_table': 'breast_dcis_biopsy',
            },
        ),
    ]
